For NetSim v8 (8.0, 8.3) and v9 (9.0, 9.1) MS Visual Studio 2010 is recommended. 


For NetSim v10 and v11, MS Visual Studio 2015/2017 is required


Visual Studio Community edition and free and can be used for editing protocol source codes in NetSim as long as “C++ Cross-Platform Library Development” module is present.


Related Knowledgebase Articles:

What components of Visual Studio should be installed to work with NetSim Source codes?